Package fr.gouv.vitam.metadata.core.database.collections

# Class MetadataCollectionsTestUtils

java.lang.Object
fr.gouv.vitam.metadata.core.database.collections.MetadataCollectionsTestUtils

public final class MetadataCollectionsTestUtils extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `afterTest(ElasticsearchMetadataIndexManager indexManager)`
  `static void`
  `afterTest(ElasticsearchMetadataIndexManager indexManager, Collection<MetadataCollections> metadataCollections)`
  `static void`
  `afterTestClass(ElasticsearchMetadataIndexManager indexManager, boolean deleteEsIndexes)`
  `static void`
  `afterTestClass(ElasticsearchMetadataIndexManager indexManager, Collection<MetadataCollections> metadataCollections, boolean deleteEsIndexes)`
  `static void`
  `beforeTestClass(com.mongodb.client.MongoDatabase db, String prefix, ElasticsearchAccessMetadata esClient)`
  `static void`
  `beforeTestClass(com.mongodb.client.MongoDatabase db, String prefix, ElasticsearchAccessMetadata esClient, Collection<MetadataCollections> metadataCollections)`
  `static ElasticsearchMetadataIndexManager`
  `createTestIndexManager(List<Integer> dedicatedTenants, Map<String,List<Integer>> tenantGroups, MappingLoader mappingLoader, String elasticsearchConfigurationFilePath)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### createTestIndexManager

    public static ElasticsearchMetadataIndexManager createTestIndexManager(List<Integer> dedicatedTenants, Map<String,List<Integer>> tenantGroups, MappingLoader mappingLoader, String elasticsearchConfigurationFilePath)

  - ### beforeTestClass

    public static void beforeTestClass(com.mongodb.client.MongoDatabase db, String prefix, ElasticsearchAccessMetadata esClient)

  - ### beforeTestClass

    public static void beforeTestClass(com.mongodb.client.MongoDatabase db, String prefix, ElasticsearchAccessMetadata esClient, Collection<MetadataCollections> metadataCollections)

  - ### afterTestClass

    public static void afterTestClass(ElasticsearchMetadataIndexManager indexManager, boolean deleteEsIndexes)

  - ### afterTestClass

    public static void afterTestClass(ElasticsearchMetadataIndexManager indexManager, Collection<MetadataCollections> metadataCollections, boolean deleteEsIndexes)

  - ### afterTest

    public static void afterTest(ElasticsearchMetadataIndexManager indexManager)

  - ### afterTest

    public static void afterTest(ElasticsearchMetadataIndexManager indexManager, Collection<MetadataCollections> metadataCollections)